/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\Dragonheart.cs
Lines of code: 38

Description: 

***********************************************************/


using System;
using Server;
using Server.Mobiles;

namespace Server.Items
{
	public class RebirthTalisman : BaseTalisman
	{
		
		public override bool ForceShowName{ get{ return true; } }
		
		
		[Constructable]
		public RebirthTalisman() : base( 0x2F5A )
		{
			Hue = 1165;
			Name="Rebirth";			
			Attributes.Luck=50;
			Attributes.RegenStam=2;
			Attributes.RegenHits=2;
			
			Summoner = new TalismanAttribute(typeof(TalismanPixie),1,1029654);
			
			Resistances.Cold=10;
			
			MaxCharges=22;
			Charges=22;
			MaxChargeTime=60;
			ChargeTime=0;
		}
		
		public RebirthTalisman( Serial serial ) :  base( serial )
		{
		}
		
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}